Установка gedit 3.11.2

Я пытаюсь установить gedit 3.11.2 из:

https://git.gnome.org/browse/gedit

по какой-то причине, это не работает на моем Ubuntu 13.10

файл ./configure не найден.

Я следовал инструкциям в файле README:

  % tar Jxf gedit-3.11.2.tar.xz         # unpack the sources
  % cd gedit-3.11.2             # change to the toplevel directory
  % ./configure                 # run the `configure' script
  % make                    # build gedit
  [ Become root if necessary ]
  % make install                # install gedit

, но конфигурация не найдена. Я что-то здесь упускаю?

1
задан 05.05.2020, 11:00

1 ответ

Вы должны получить пакет от:

http://ftp.gnome.org/pub/GNOME/sources/gedit/3.11/

Вы можете отсутствует какая-то библиотека Вы можете получить их, установив их:

sudo add-apt-repository ppa:ricotz/testing
sudo apt-get update

sudo apt-get install intltool
sudo apt-get install itstool
sudo apt-get install libxml2 libglib2.0-dev libxml2-dev libxml2-utils
sudo apt-get install libxml2-dev
sudo apt-get install libgtksourceviewmm-3.0-dev
sudo apt-get install libpeas-1.0-0 libpeas-dev
sudo apt-get install gsettings-desktop-schemas-dev   
sudo apt-get install libgtkspell3-3-dev libgtkspell3-3-0 libgtksourceview-3.0-dev
sudo apt-get install gtk+3.0
sudo apt-get install gir1.2-gtk-3.0

У меня возникла проблема с получением gtksourceview, мне пришлось установить его вручную:

http: //ftp.acc. umu.se/pub/GNOME/sources/gtksourceview/3.11/

та же сделка:

./configure
make 
sudo make install

УСТАНОВКА Gedit

Тогда После того, как все будет завершено, вы можете запустить в папке gedit:

./configure
make
sudo make install

ПРИМЕЧАНИЕ: у вас могут возникнуть некоторые графические проблемы с новой библиотекой GTK. Проверьте свои драйверы (например, nvidia или ati) или поиграйте с настройками «внешнего вида».

2
ответ дан 05.05.2020, 11:00
  • 1
    I' ve всегда нравился " склонный - получают build-dep" устанавливать зависимости так в этом случае " склонный - получают DEP сборки gedit". это получит все зависимости, в которых Вы нуждаетесь. Конечно, это только знает о зависимостях для версии в человечности repo, но я нахожу, что он обычно получает правильный набор. – Knickerless-Noggins 05.05.2020, 11:01

Теги

Похожие вопросы